#!/bin/sh
#

prog=$0

application_name=OpenMCL
bundle_path="./bin/${application_name}.app"
system_definition="./${application_name}.asd"

echo
echo
echo "Building application \"${application_name}\""
echo

make_form="(make :application-class \"BOSCO-COCOA-APPLICATION\" :application-name \"${application_name}\")"

echo 
echo "${make_form}"
echo

openmcl -l ${system_definition} -e "${make_form}"

rm -rf ${bundle_path}/Contents/Info.plist
rm -rf ${bundle_path}/Contents/PkgInfo
rm -rf ${bundle_path}/Contents/Resources/English.lproj
rm -rf ${bundle_path}/Contents/Resources/Help
rm -rf ${bundle_path}/Contents/Resources/openmcl-icon.icns
rm -rf ${bundle_path}/Contents/Resources/OpenMCLKeyBindings.dict

cp ./resources/app/Info.plist ${bundle_path}/Contents
cp ./resources/app/PkgInfo ${bundle_path}/Contents
cp -R ./resources/English.lproj ${bundle_path}/Contents/Resources
cp -R ./resources/Help ${bundle_path}/Contents/Resources
cp -R ./resources/openmcl-icon.icns ${bundle_path}/Contents/Resources
cp -R ./resources/OpenMCLKeyBindings.dict ${bundle_path}/Contents/Resources

mv ${application_name} ${bundle_path}/Contents/MacOS/${application_name}
mv ${application_name}.image ${bundle_path}/Contents/MacOS/${application_name}.image
touch ${bundle_path}

